Subject: Re: [net-next-2.6 PATCH v4 3/3] TCPCT part 1c: initial SYN exchange with SYNACK data

From: William Allen Simpson <[email-masked]>
Date: Mon, 02 Nov 2009 15:38:24 -0500

Eric Dumazet wrote:
> William Allen Simpson a écrit :
> 
>> It will be, when we have running code, as I'm loath to publish until I'm
>> certain it *can* be implemented.
> 
> This is why RFC is better before coding. To avoid wasting time on experiments
> that have a fatal flaw. Once included in an official kernel, we wont be able
> to change some parameters very easily (think about 253 constant you use)
> 
We are talking at cross purposes.  IEEE had/has a tendency to publish
without running code.  CTIA/TIA/EIA has interim standards without running
code, and had/has rules against even speaking about implementations.  Only
IETF expected/expects running code.  An RFC is rarely issued before coding.

http://www.iana.org/assignments/tcp-parameters/

253     N       RFC3692-style Experiment 1 (*)         [RFC4727]

When my code is done, I'll post the completed draft and ask IANA for a
non-experimental number.  That's the usual process.  My code shouldn't go
into an official release until we know that number.

PS. Rumor has it that Cisco shipped a release with 254 in it.  Let's not
do that here.

PPS. Adam used 255, not a correct official experimental number.